ChangeSet 1.1587.3.33, 2004/05/05 13:34:16-07:00, stefan.eletzhofer@eletztrick.de

[PATCH] USB Gadget: fix g_serial debug module parm

g_serial.ko can't be load as module because "debug" is only
defined if G_SERIAL_DEBUG is defined, but "debug" is referenced
in MODULE_PARM().


 drivers/usb/gadget/serial.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletion(-)


diff -Nru a/drivers/usb/gadget/serial.c b/drivers/usb/gadget/serial.c
--- a/drivers/usb/gadget/serial.c	Fri May 14 15:30:05 2004
+++ b/drivers/usb/gadget/serial.c	Fri May 14 15:30:05 2004
@@ -157,8 +157,12 @@
 
 /* debug macro */
 #if G_SERIAL_DEBUG
-
 static int debug = G_SERIAL_DEBUG;
+#else
+static int debug = 0;
+#endif
+
+#if G_SERIAL_DEBUG
 
 #define gs_debug(format, arg...) \
 	do { if (debug) printk(KERN_DEBUG format, ## arg); } while(0)
